source: trunk/server/fedora/specs/scripts-base.spec @ 1783

Last change on this file since 1783 was 1761, checked in by andersk, 12 years ago
Use arch-specific dependencies in scripts-base scripts requires both 32-bit and 64-bit versions of certain library packages; enforce that they are installed. Also remove the useless dependencies on openafs and openafs-docs.
File size: 1.3 KB
Line 
1Summary: scripts.mit.edu base packages
2Group: Applications/System
3Name: scripts-base
4Version: 0.%{scriptsversion}
5Release: 0
6Vendor: The scripts.mit.edu Team (scripts@mit.edu)
7URL: http://scripts.mit.edu
8License: GPL
9Source: %{name}.tar.gz
10BuildRoot: %{_tmppath}/%(%{__id_u} -n)-%{name}-%{version}-root
11%define all_archs() %1%{?_isa}, %{?__isa_name: %1(%{__isa_name}-32)}
12Requires: accountadm
13Requires: execsys
14Requires: scripts-kmod-openafs
15Requires: %{all_archs scripts-krb5-libs}
16Requires: scripts-httpd
17Requires: scripts-mod_ssl
18Requires: scripts-openafs-client
19Requires: scripts-openafs-authlibs
20Requires: scripts-openafs-devel
21Requires: scripts-openafs-krb5
22Requires: scripts-openssh-server
23Requires: sql-signup
24Requires: tokensys
25Requires: whoisd
26Requires: logview
27Requires: %{all_archs nss-pam-ldapd}
28Requires: php_scripts
29Requires: zephyr
30Requires: %{all_archs zephyr-libs}
31Requires: httpdmods
32Requires: %{all_archs nss_nonlocal}
33Requires: scripts-389-ds
34%define debug_package %{nil}
35
36%description 
37
38scripts.mit.edu base package
39Contains:
40 - Dependencies to install rpms required for base scripts functionality
41See http://scripts.mit.edu/wiki for more information.
42
43%prep
44%setup -q -n %{name}
45
46%build
47
48%install
49
50%clean
51
52%files
53
54%changelog
55* Thu Jan  1 2009  Quentin Smith <quentin@mit.edu>
56- prerelease
Note: See TracBrowser for help on using the repository browser.